ICHWD(4)

NAME
ichwd - device driver for the Intel ICH watchdog interrupt timer

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device ichwd

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ichwd_load="YES"

DESCRIPTION
The ichwd driver provides watchdog(4) support for the watchdog interrupt timer present on all Intel ICH motherboard chipsets.

The ICH WDT counts down in ticks of approximately 0.6 seconds; the exact value depends on hardware quality and environmental factors. Supported watchdog intervals range from 2 to 63 ticks.

Note that on some ICH-based systems, the WDT may be present but disabled, either in hardware or by the BIOS. The ichwd driver attempts to detect this condition and will refuse to attach if it believes the WDT is disabled.

SEE ALSO
watchdog(4), watchdog(8), watchdogd(8), watchdog(9) Using the Intel ICH Family Watchdog Timer (WDT), Intel Application Note AP-725, Document Number 292273-001.

HISTORY
The ichwd driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The ichwd driver was written by Wm. Daryl Hawkins <dhawkins@tamu.edu> of Texas A&M University and Dag-Erling Smørgrav <des@FreeBSD.org>. This manual page was written by Dag-Erling Smørgrav <des@FreeBSD.org>.